/* malloc.c */

#ifdef ANSI
#include <stddef.h>
#else
#define NULL 0
#endif

#ifdef ANSI
typedef size_t blocksize;
#else
typedef int blocksize;
#endif

#include "stat_alloc.h"

#ifdef ANSI
void *malloc (size_t size)
#else
char *malloc (size)
     unsigned size;
#endif
{
  return stat_malloc (size);
}

#ifdef ANSI
void free (void *ptr)
#else
free (ptr)
     char *ptr;
#endif
{
  if (ptr != NULL){
    stat_free (ptr);
  }
#ifndef ANSI
  return 0;
#endif
}

#ifdef ANSI
void *realloc (void *ptr, size_t size)
#else
char *realloc (ptr, size)
     char *ptr;
     unsigned size;
#endif
{
  return stat_resize (ptr, size);
}
